# CalDav Capturer

The CalDav capturer captures new events in a calendar.

CalDav uses the [iCalendar](https://en.wikipedia.org/wiki/ICalendar) format.

## Configuration

The CalDav capturer needs the URL for the CalDav, besides the IP and PORT of
Store.

## Internals

There is no single event ID, so we need to keep the DSTART and DEND as unique
identifiers of each event. New events are the ones not in this list.

- `dstart`: Event start.
- `end`: Event end.

## Output

```
{% for event in new_events %}
Have a new event: {{ event.description }}
{% endfor %}
```
