# Deezer Capturer

Deezer Capturer captures songs played on Deezer.

[Deezer API](https://developers.deezer.com/api) is available. We need to grab
the user history (`https://api.deezer.com/user/4812817742/history`) from the
user.

## Configuration

Configuration requires the OAuth token, besides the IP and PORT of the Store,
and IP and PORT of the Music Aggregator.

## Internals

We need to keep a list of played songs, and compare with the new one.

Need to find the history output, as the API explorer does not show one example.

We could keep:

- `id`: ID or timestamp of the history element. Elements earlier than the most
  recent one can be ignored.
- `artist`: Name of the artist.
- `song`: Name of the song.
- `album`: Album of the song.

## Output

```
{% for song in new_songs %}
Played {{ song.name }} by {{ song.artist }}.
{% endfor %}
```
