# Guild Wars 2 Capturer

The Guild Wars 2 will capture the daily play stats, like WvW Rank, PvP Rank,
completed achievements and play time.

## Configuration

The only required configuration is the access token, besides the IP and PORT of
the Store.

## Internals

We need to keep, locally:

- Current played time, to be compared with the new one and point how long the
  player played the game on the day.
- Achievements: This needs a two store: A list of current completed achievments
  and a list of all achievements (there are different calls for each).
- Current WvW rank, to be compared with the new one.
- Current PvP rank, to be compared with the new one.

## Output

```
{% if time_played > 0 %}
Played Guild Wars 2 for {{ time_played }}.

{% if wvw_rank_increase %}
Gained {{ wvw_rank_increase }} WvW ranks.
{% endif %}

{% if pvp_rank_increase %}
Gained {{ pvp_rank_increase }} PvP ranks.
{% endif %}

{% for achievements in new_achievements %}
Completed {{ achievement }}.
{% endfor %}
{% endif %}
```
