# Mastodon Capturer

There are two options for a Mastodon Capturer: A pure RSS reader or a
full-fledged Mastodon client. A client would probably capture things send in
private and such, which seem better.

## Configuration

The only required configuration is the access token, besides the IP and PORT of
the Store.

## Internals

Need to store, locally:

- id: Toot ID
- token: Token used to retrieve the information (in case the local storage is
  shared between applications).

We need the ID 'cause we don't want to duplicate content; once the client
finds a toot in its own database, it stops reading from the source and don't
send it to the Store.

As content send to the Store, we'd use a template like

```
{% if content_warning %}
  ({{ content_warning}})
{% endif %}

{{ content }}
```

We won't send title, as toots don't have them. As meta, we could store the URL
for the original toot.
