# RSS Capturer

Simple capturer for RSS. The hard part would be converting the HTML result into
Markdown (although I've done this before, using
[Markup5Ever](https://docs.rs/markup5ever/0.11.0/markup5ever/). 

## Configuration

The only required configuration is the feed URL, besides the IP and PORT of the
Store.

## Internals

Needs to store, locally:

- `url`: to avoid mixing information of two different RSS readers;
- `id`: ID of the post read.

We need the ID to avoid sending duplicate content back to the Store.

The title for the ID would be the title coming from the RSS, and the content is
the same content as the feed. As meta, we could store the original URL for the
article.
