# Steam Capturer

Steam Capturer captures the daily plays on Steam games. Achievements could also
be captured.

[Steam API documentation](https://steamcommunity.com/dev). We could capture
"Recently Played Games" and "Get Player Achievements".

## Configuration

The only required configuration is the Steam ID, besides the IP and PORT of the
Store.

## Internals

We need to keep, locally:

- Current list of achievements: We compare this with the new list and find out
  the new ones.
- Time in each game "recently played", or some sort of "time played" bootstrap
  method. We compare this with the Recently Played list to produce a list of
  Time played.

  ## Output

  ```
  {% for game in played_games %}
  Played {{ game.name }} for {{ game.time }}.
  {% endfor %}

  {% for achievement in new_achievements %}
  Completed {{ achievement.name }} in {{ achievement.game }}.
  {% endfor %}
  ```
